SSLFactory (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.security
Class SSLFactory

    java.lang.Object
      org.apache.cassandra.security.SSLFactory

    public final class SSLFactory

extends java.lang.Object

A Factory for providing and setting up Client and Server SSL wrapped Socket and ServerSocket

Constructor Summary
`SSLFactory()`

Method Summary
`static javax.net.ssl.SSLServerSocket` | `getServerSocket(EncryptionOptions options, java.net.InetAddress address, int port)`
`static javax.net.ssl.SSLSocket` | `getSocket(EncryptionOptions options)` Just create a socket
`static javax.net.ssl.SSLSocket` | `getSocket(EncryptionOptions options, java.net.InetAddress address, int port, java.net.InetAddress localAddress, int localPort)` Create a socket and connect

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLFactory

    public SSLFactory()

Method Detail

### getServerSocket

    public static javax.net.ssl.SSLServerSocket getServerSocket(EncryptionOptions options,
                                                                java.net.InetAddress address,
                                                                int port)
                                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSocket

    public static javax.net.ssl.SSLSocket getSocket(EncryptionOptions options,
                                                    java.net.InetAddress address,
                                                    int port,
                                                    java.net.InetAddress localAddress,
                                                    int localPort)
                                             throws java.io.IOException

  Create a socket and connect

  Throws:
    `java.io.IOException`

### getSocket

    public static javax.net.ssl.SSLSocket getSocket(EncryptionOptions options)
                                             throws java.io.IOException

  Just create a socket

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation